# List Insertion Orders

Returns a list of the seat’s insertion orders, optionally with progress information.

Endpoint: GET /insertion_orders
Security: SessionCookie

## Security:

  - `SessionCookie` (unknown)
    apiKey in header Cookie

## Query parameters:

  - `page_size` (integer)
    The maximum number of results to return per page.

  - `page` (integer)
    The zero-based page offset (page number ) to return. For example, 0 returns the first page, 1 returns the second page, and so on.

  - `order` (string)
    The field to sort the results by.

  - `asc` (boolean)
    Specifies the sort direction. Set to `true` for ascending order or `false` for descending order.

  - `filter` (array)
    The field to filter by. You can specify multiple filter parameters.

When you apply filters to different fields, the results include only records that match all specified field values (AND logic). When you apply multiple filters to the same field, the results include records that match any of the specified values in that field (OR logic).

Supported Fields: `id`, `archived`, `insertion_order_id`, `region_code`, `active`, `pacing`, `buy_type`

Special Filters: `in_flight`: When `true`, limits results to insertion orders where the current time falls between `start_time` and `end_time`.

  - `search` (array)
    Performs a substring search on a specified field. The search is case-insensitive.

Supported Fields: `name`

  - `view` (string)
    Specifies which fields are returned in the response.

Available Views:

- `BASIC`: Returns insertion order metadata  only.
- `PROGRESS`: Returns insertion order metadata and current insertion order progress information.

## Response 200:

  - `200` (unknown)
    Operation completed successfully.

## Response 200 fields (application/json):

  - `insertion_orders` (array)

  - `insertion_orders.id` (string)
    Example: juIGaOygS0CBBqtmXHamqA

  - `insertion_orders.create_time` (string)
    The date and time the insertion order was created.
    Example: 2004-09-22T16:16:42Z

  - `insertion_orders.update_time` (string)
    The date and time the insertion order was last updated.
    Example: 2004-09-22T16:16:42Z

  - `insertion_orders.archived` (boolean)
    Shows whether the insertion order is archived. If `true`, the insertion order is archived and isn't returned by the API or displayed in the DSP by default.

  - `insertion_orders.advertiser_id` (string)
    The ID of the insertion order's advertiser. You can set the advertiser only when you create the insertion order.
    Example: juIGaOygS0CBBqtmXHamqA

  - `insertion_orders.contract_number` (string)
    A contract number associated with the insertion order. Contract numbers are for the buyer's use and aren't used by the DSP.
    Example: C-102930

  - `insertion_orders.name` (string)
    The insertion order's name for display purposes.
    Example: My Insertion Order Name

  - `insertion_orders.start_time` (string)
    The insertion order's flight start time.
    Example: 2004-09-22T16:16:42Z

  - `insertion_orders.end_time` (string)
    The insertion order's flight end time.
    Example: 2004-09-22T17:16:42Z

  - `insertion_orders.budget_impressions` (string)
    The target impression budget for the insertion order. This field is mutually exclusive with `budget_money`.
    Example: 10000

  - `insertion_orders.budget_money` (object)
    Represents an amount of money with its currency type.

  - `insertion_orders.budget_money.currency_code` (string)
    The three-letter currency code defined in ISO 4217.
    Example: USD

  - `insertion_orders.budget_money.units` (string)
    The whole units of the amount.
For example if `currencyCode` is `"USD"`, then 1 unit is one US dollar.
    Example: 1

  - `insertion_orders.budget_money.nanos` (integer)
    Number of nano (10^-9) units of the amount.
The value must be between -999,999,999 and +999,999,999 inclusive.
If `units` is positive, `nanos` must be positive or zero.
If `units` is zero, `nanos` can be positive, zero, or negative.
If `units` is negative, `nanos` must be negative or zero.
For example $-1.75 is represented as `units`=-1 and `nanos`=-750,000,000.
    Example: 750000000

  - `insertion_orders.progress` (object)

  - `insertion_orders.progress.impressions_delivered` (string)
    The number of impressions delivered so far.
    Example: 10000

  - `insertion_orders.creative_ids` (array)

  - `total_size` (integer)
    Example: 1

## Response 400:

  - `400` (unknown)
    Bad request. The request contains invalid syntax or encoding.

## Response 400 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 401:

  - `401` (unknown)
    Not authorized. Authentication is required to access the requested resource.

## Response 401 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 403:

  - `403` (unknown)
    Not authenticated. Re-authenticate to access the API.

## Response 403 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 404:

  - `404` (unknown)
    Not found. The requested resource doesn't exist.

## Response 404 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 422 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 429 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 400 examples:

  - `response` (unknown)

## Response 401 examples:

  - `response` (unknown)

## Response 403 examples:

  - `response` (unknown)

## Response 404 examples:

  - `response` (unknown)

## Response 422 examples:

  - `response` (unknown)

## Response 429 examples:

  - `response` (unknown)

